## org.omg.CORBA
Class SequenceDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.SequenceDefHelper

public class SequenceDefHelper
extends java.lang.Object

Helper class for : SequenceDef

Author:
  OpenORB Compiler

Constructor Summary
`SequenceDefHelper()`

Method Summary
`static SequenceDef` `extract(Any a)` Extract SequenceDef from an any
`static java.lang.String` `id()` Return the SequenceDef IDL ID
`static void` `insert(Any a, SequenceDef t)` Insert SequenceDef into an any
`static SequenceDef` `narrow(Object obj)` Narrow CORBA::Object to SequenceDef
`static SequenceDef` `read(InputStream istream)` Read SequenceDef from a marshalled stream
`static TypeCode` `type()` Return the SequenceDef TypeCode
`static SequenceDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to SequenceDef
`static void` `write(OutputStream ostream, SequenceDef value)` Write SequenceDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceDefHelper

    public SequenceDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              SequenceDef t)

  Insert SequenceDef into an any
  Parameters:
    `a` - an any
    `t` - SequenceDef value

### extract

    public static SequenceDef extract(Any a)

  Extract SequenceDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted SequenceDef value

### type

    public static TypeCode type()

  Return the SequenceDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the SequenceDef IDL ID
  Returns:
    an ID

### read

    public static SequenceDef read(InputStream istream)

  Read SequenceDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed SequenceDef value

### write

    public static void write(OutputStream ostream,
                             SequenceDef value)

  Write SequenceDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - SequenceDef value

### narrow

    public static SequenceDef narrow(Object obj)

  Narrow CORBA::Object to SequenceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    SequenceDef Object

### unchecked_narrow

    public static SequenceDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to SequenceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    SequenceDef Object